% ARC(6)
% Rampoina
% March 2023

# NAME
arc - Arc, a puzzle game about directing laser beams with mirrors

# SYNOPSIS
**arc** [*OPTION*]...

# DESCRIPTION
Arc is a block moving puzzle game. The goal is to power
every machine in the level by moving mirrors and diverting laser beams into
them.

# CONTROLS
The player can be controlled with Vim style movement keys or WASD keys
Default keys:

* a/h: left
* s/j: down
* w/k: up
* d/l: right
* u: undo
* r: restart
* q: quit

# OPTIONS
`-h,--help`
: Displays a help message

`-l,--levels` *FILE*
: Load levels from *FILE*. (default: a file called "levels").

`-c,--chars` *string*
: Characters to display for each game object, needs to have length 15. (default: \" λ$⊕⭍#/\-|+<>^v\").

`-f,--fchars` *string*
: Characters to represent each game object in the levels file, needs to have length 15. (default: \" @$o⭍#/\-|+<>^v\").

`-s,--start` *N*
: Start directly at level number *N*. (default: 1).

# EXAMPLES
*arc.bqn --chars \' @$o⭍#/-|+<>^v\' --levels levels -s 4*
: Run the game, changing the characters to draw, specifying the levels file and starting directly at level 4.

# THANKS
Thanks, in no particular order, to ...

`f-a`
: For contributing a level to my game and being a kind person.

`dzaima`
: Helping with BQN and implementing CBQN.

`Marshall Lochbaum`
: Creating BQN.

# BUGS
Please report any bugs at the bugtracker: https://git.libregaming.org/Rampoina/Arc/issues
